Strophe 0.9 XMPP client library

Data Fields
tls_t Struct Reference

## Data Fields
xmpp_ctx_t * | ctx
sock_t | sock
gnutls_session_t | session
gnutls_certificate_credentials_t | cred
int | lasterror
SSL_CTX * | ssl_ctx
SSL * | ssl
HANDLE | hsec32
SecurityFunctionTable * | sft
CredHandle | hcred
SecPkgInfo * | spi
int | init
CtxtHandle | hctxt
SecPkgContext_StreamSizes | spcss
unsigned char * | recvbuffer
unsigned int | recvbuffermaxlen
unsigned int | recvbufferpos
unsigned char * | readybuffer
unsigned int | readybufferpos
unsigned int | readybufferlen
unsigned char * | sendbuffer
unsigned int | sendbuffermaxlen
unsigned int | sendbufferlen
unsigned int | sendbufferpos
SECURITY_STATUS | lasterror

## Field Documentation

## § ctx

xmpp_ctx_t * tls_t::ctx

## § sock

sock_t tls_t::sock

## § session

gnutls_session_t tls_t::session

## § cred

gnutls_certificate_credentials_t tls_t::cred

## § lasterror [1/2]

int tls_t::lasterror

## § ssl_ctx

SSL_CTX* tls_t::ssl_ctx

## § ssl

SSL* tls_t::ssl

## § hsec32

HANDLE tls_t::hsec32

## § sft

SecurityFunctionTable* tls_t::sft

## § hcred

CredHandle tls_t::hcred

## § spi

SecPkgInfo* tls_t::spi

## § init

int tls_t::init

## § hctxt

CtxtHandle tls_t::hctxt

## § spcss

SecPkgContext_StreamSizes tls_t::spcss

## § recvbuffer

unsigned char* tls_t::recvbuffer

## § recvbuffermaxlen

unsigned int tls_t::recvbuffermaxlen

## § recvbufferpos

unsigned int tls_t::recvbufferpos

## § readybuffer

unsigned char* tls_t::readybuffer

## § readybufferpos

unsigned int tls_t::readybufferpos

## § readybufferlen

unsigned int tls_t::readybufferlen

## § sendbuffer

unsigned char* tls_t::sendbuffer

## § sendbuffermaxlen

unsigned int tls_t::sendbuffermaxlen

## § sendbufferlen

unsigned int tls_t::sendbufferlen

## § sendbufferpos

unsigned int tls_t::sendbufferpos

## § lasterror [2/2]

SECURITY_STATUS tls_t::lasterror

The documentation for this struct was generated from the following files:

- tls_dummy.c
- tls_gnutls.c
- tls_openssl.c
- tls_schannel.c